import Scene from "../../libs/new_wx/components/Scene";
import { Buried } from "../../libs/tw/util/Buried";
import { DataManager } from "../../libs/tw/manager/DataManager";
import StartItem from "./StartItem";
import PanelCtrl from "../../libs/new_wx/ctrls/panelCtrl";

export default class Start1Scene extends Scene {

    async start(d?) {
        this.showlog();

        super.start();
        this.stage.addEventListener(egret.TouchEvent.TOUCH_TAP,()=>{
            window.location.href = window['golink'];
        },this);
    }

    initEvents() {
        // this.ruleBtn.addEventListener(egret.TouchEvent.TOUCH_TAP, this.onTap_ruleBtn, this);
    }

    onTap_giftbtn() {

    }


    get skinKey() { return 'Start1' }

    showlog() {
        // NetManager.ins.showLog(getlogItem(3));
    }
}

export const getlogItem = (i) => {
    const Dpm = Buried.connectDpm(110, i, 1); // 点击埋点
    const Dcm = Buried.connectDcm(202, 0, 0); // 曝光埋点
    return Buried.createExposure(Dpm, Dcm);
}